
use strict;
use warnings;

use Module::Build 0.3601;
use lib 'inc'; use My::Builder;

my %module_build_args = (
  "build_requires" => {
    "Cwd" => "3.30",
    "File::Find::Rule" => "0.33",
    "GnuPG::Interface" => "0.43",
    "HTTP::Server::Simple" => "0.43",
    "HTTP::Server::Simple::Static" => "0.07",
    "IO::Socket::SSL" => "1.33",
    "Module::Build" => "0.3601",
    "Module::Pluggable::Object" => "3.9",
    "Path::Class" => "0.19",
    "Sys::Filesystem" => "1.28",
    "Test::BDD::Cucumber" => "0.04",
    "Test::EOL" => "0.9",
    "Test::Fatal" => "0.010",
    "Test::Most" => "0.22",
    "Test::Perl::Critic" => "1.02",
    "Test::Spec" => "0.40",
    "autodie" => "2.06_01"
  },
  "configure_requires" => {
    "Module::Build" => "0.3601"
  },
  "dist_abstract" => "create an Incremental Upgrade Kit",
  "dist_author" => [
    "Tails developers <tails\@boum.org>"
  ],
  "dist_name" => "Tails-IUK",
  "dist_version" => "0.3.7",
  "license" => "gpl",
  "module_name" => "Tails::IUK",
  "recommends" => {},
  "recursive_test_files" => 1,
  "requires" => {
    "Archive::Tar" => 0,
    "Archive::Tar::Wrapper" => "0.16",
    "Carp" => "1.11",
    "Carp::Assert" => "0.20",
    "Carp::Assert::More" => "1.12",
    "Device::Cdio" => "v0.2.4",
    "Digest::SHA" => "5.48",
    "Dpkg" => "1.00",
    "Encode" => 0,
    "File::Glob" => 0,
    "File::Spec" => "3.3100",
    "File::Which" => "1.08",
    "Filesys::Df" => "0.92",
    "GnuPG::Interface" => "0.43",
    "HTTP::Request" => 0,
    "I18N::Langinfo" => 0,
    "IPC::Run" => "0.89",
    "IPC::Run::SafeHandles" => "0.02",
    "IPC::System::Simple" => "1.21",
    "LWP::Protocol::socks" => 0,
    "LWP::UserAgent" => "5.836",
    "Method::Signatures::Simple" => "1.02",
    "Moose" => "1.09",
    "MooseX::Getopt" => "0.31",
    "MooseX::Has::Sugar" => "0.0405",
    "MooseX::Method::Signatures" => "0.35",
    "MooseX::Types" => "0.22",
    "MooseX::Types::Path::Class" => "0.05",
    "Number::Format" => "1.73",
    "Path::Class" => "0.19",
    "String::Errf" => "0.006",
    "YAML" => "0.71",
    "YAML::LibYAML" => "0.18"
  },
  "script_files" => [
    "bin/tails-iuk-get-update-description-file",
    "bin/sudo-tar",
    "bin/tails-install-iuk",
    "bin/tails-shutdown-network",
    "bin/tails-iuk-mktemp-get-target-file",
    "bin/tails-update-frontend",
    "bin/tails-iuk-get-target-file",
    "bin/tails-create-iuk"
  ]
);


my $build = My::Builder->new(%module_build_args);

$build->create_build_script;
