Feature: update frontend
  As a Tails user
  I want to be guided through updated my Tails system, if needed

  Background:
    Given a usable temporary directory
    And a running Tails
    And a trusted OpenPGP signing key pair
    And a HTTPS server with a valid SSL certificate

  Scenario: no update available
    Given no update is available
    When I run tails-update-frontend
    Then it should succeed
    And I should be told "The system is up-to-date"

  Scenario: cannot determine whether an update is available
    Given it is not known whether an update is available
    When I run tails-update-frontend
    Then it should fail
    And I should be pointed to the documentation about update-description file retrieval error

  Scenario: installing an incremental update
    Given an incremental update is available
    And a Live filesystem
    When I run tails-update-frontend in batch mode
    Then it should succeed
    And I should be proposed to install this update
    And I should be told "are being downloaded"
    And I should be asked to wait
    And the network should be shutdown
    And I should be told "Applying the update"
    And I should be asked to wait
    And the downloaded IUK should be installed
    And I should be proposed to halt the system
    And the system should be halted
    And the test environment should be cleaned up

  Scenario: no incremental update is available, but a full update is
    Given no incremental update is available, but a full update is
    When I run tails-update-frontend in batch mode
    Then it should succeed
    And I should be proposed to install this update
    And the web page about the new release should be opened

  Scenario: an incremental update is available, but a target file does not exist
    Given an incremental update is available
    And a target file does not exist
    When I run tails-update-frontend in batch mode
    Then it should fail
    And I should be proposed to install this update
    And I should be told "are being downloaded"
    And I should be told "Failed to download"
    And I should be told "request failed"
    And I should be pointed to the documentation about target file retrieval error

  Scenario: an incremental update is available, but a target file is corrupted
    Given an incremental update is available
    And a target file is corrupted
    When I run tails-update-frontend in batch mode
    Then it should fail
    And I should be proposed to install this update
    And I should be told "are being downloaded"
    And I should be told "Failed to download"
    And I should be told "was downloaded but its size"
    And I should be pointed to the documentation about target file retrieval error
